# -*- coding: utf-8 -*-

NOTIFICATIONS = {
    'en': {
        '200_title': 'File Added',
        '200_description': 'File "{0}" was added to your OI Cloud folder',
        '201_title': 'File Removed',
        '201_description': 'File "{0}" was removed from your OI Cloud folder',
        '202_title': 'File Updated',
        '202_description': 'File "{0}" was updated in your OI Cloud folder',
        '203_title': 'Files Added',
        '203_description': '{0} files were added to your OI Cloud folder',
        '204_title': 'Files Removed',
        '204_description': '{0} files were removed from your OI Cloud folder',
        '205_title': 'Files Updated',
        '205_description': '{0} files were updated in your OI Cloud folder',
        '206_title': 'Files Synchronized',
        '206_description': '{0} files were synchronized in your OI Cloud folder',
        '207_title': 'Connecting to OI Cloud...',
        '207_description': 'Please check your Internet connection and proxy settings.',

        '250_title': 'Shared Folder Created',
        '250_description': 'Shared folder "{0}" was created in your OI Cloud folder',
        '251_title': 'Shared Folder Deleted',
        '251_description': 'Shared folder "{0}" was deleted from your OI Cloud folder',
        '252_title': 'Shared Folder Unshared',
        '252_description': 'Stopped sharing folder "{0}"',

        '500_title': 'Quota Exceeded',
        '500_description': 'You have exceeded your OI Cloud quota. Please free more space to continue uploading.',
        '501_title': 'Could not synchronize "{0}"',
        '501_description': 'Could not synchronize "{0}". Please verify that you have sufficient permissions and that the file is not in use.',
        '502_title': 'Insufficient disk space',
        '502_description': 'Could not update "{0}". Please ensure that you have sufficient free disk space.',
        '503_title': 'File "{0}" is in use',
        '503_description': 'File "{0}" is in use. Please ensure that the file is not open by another application.',
        '504_title': 'Cannot watch filesystem',
        '504_description': 'Cannot watch filesystem. Please run \'sudo sysctl -w fs.inotify.max_user_watches=100000\' and restart OI Cloud to fix the problem.',
        '505_title': 'Disk is full',
        '505_description': 'OI Cloud has paused because your disk appears to be full. Please ensure you have sufficient disk space.',
        '506_title': 'Disk error',
        '506_description': 'OI Cloud has paused due to a disk error. Please ensure you have sufficient permissions and free space.',
        '507_title': 'Internal error',
        '507_description': 'OI Cloud will now shut down due to an internal error. If this problem persists, please contact our support at http://ajuda.cld.pt',
        '508_title': 'Internal error',
        '508_description': 'OI Cloud has paused due to an internal error. Please ensure you have sufficient permissions and disk space.',
    },
    'br': {
        '200_title': 'Arquivo Adicionado"',
        '200_description': 'O arquivo "{0}" foi adicionado à pasta OI Cloud',
        '201_title': ' Arquivo Removido"',
        '201_description': 'O arquivo "{0}" foi removido da pasta OI Cloud',
        '202_title': ' Arquivo Atualizado',
        '202_description': 'O arquivo "{0}" foi atualizado na pasta OI Cloud',
        '203_title': ' Arquivos Adicionados',
        '203_description': '{0} arquivos foram adicionados à pasta OI Cloud',
        '204_title': ' Arquivos Removidos',
        '204_description': '{0} arquivos foram removidos da pasta OI Cloud',
        '205_title': ' Arquivos Atualizados',
        '205_description': '{0} arquivos foram atualizados na pasta OI Cloud',
        '206_title': ' Arquivos Sincronizados',
        '206_description': '{0} arquivos foram sincronizados na pasta OI Cloud',
        '207_title': 'Ligar ao OI Cloud...',
        '207_description': 'Por favor, verifique a sua conexão  à Internet e as definições do proxy.',

        '250_title': 'Pasta Compartilhada Criada',
        '250_description': 'A pasta compartilhada "{0}" foi criada na pasta OI Cloud',
        '251_title': 'Pasta Compartilhada Apagada',
        '251_description': 'A pasta compartilhada "{0}" foi apagada da pasta OI Cloud',
        '252_title': 'Pasta Não Compartilhada',
        '252_description': 'A pasta "{0}" deixou de ser compartilhada',

        '500_title': 'Excedeu a cota',
        '500_description': 'Excedeu a sua cota OI Cloud. Por favor, libere  espaço para continuar enviando arquivos.',
        '501_title': 'Não foi possível sincronizar "{0}"',
        '501_description': 'Não foi possível sincronizar "{0}". Por favor verifique se tem permissões suficientes e se o arquivo não está em uso.',
        '502_title': 'Espaço em disco insuficiente',
        '502_description': 'Não foi possível atualizar "{0}". Por favor verifique o espaço livre do seu disco.',
        '503_title': 'O arquivo "{0}" está em uso',
        '503_description': 'O arquivo "{0}" está em uso. Por favor verifique se o arquivo está aberto em alguma aplicação.',
        '504_title': 'Não é possível monitorizar arquivos',
        '504_description': 'Não é possível monitorizar arquivos. Para resolver o problema, por favor execute o comando \'sudo sysctl -w fs.inotify.max_user_watches=100000\' e reinice a aplicação.',
        '505_title': 'Espaço insuficiente no seu disco',
        '505_description': 'A OI Cloud parou devido a falta de espaço no seu disco. Verifique, por favor, se tem espaço suficiente.',
        '506_title': 'Erro genérico no seu disco',
        '506_description': 'A OI Cloud parou devido a um problema no seu disco. Verifique, por favor, se tem espaço suficiente ou permissões de escrita.',
        '507_title': 'Erro interno',
        '507_description': 'A OI Cloud irá terminar. Se o problema persistir,  entre em contato com a nossa equipe de suporte.',
        '508_title': 'Erro interno',
        '508_description': 'A OI Cloud parou devido a um problema interno. Verifique, por favor, se tem espaço e permissões de escrita no seu disco.',
    },
}
